require File.dirname(__FILE__) + '/../../../../test_helper'
require 'test/unit'
require 'set'

class RM_Common_Directory_Test < Test::Unit::TestCase
  def setup
    archetype_node_id = 'at0001'
    name = OpenEhr::RM::DataTypes::Text::DvText.new('folder_test')
    object_id = ObjectId.new('1.1.1')
    object_ref = ObjectRef.new('local', 'PARTY', object_id)
    assert_nothing_raised(Exception){
      @folder = OpenEhr::RM::Common::Directory::Folder.new(:archetype_node_id => archetype_node_id,
                           :name => name,
                           :items => [object_ref])}
    

  end
  
  def test_init
    assert_instance_of OpenEhr::RM::Common::Directory::Folder, @folder
  end

  def test_folder
    assert_equal 'at0001', @folder.archetype_node_id
    assert_equal 'local', @folder.items[0].namespace
  end
end
